Read the significant events
deprecated
Server:
https://{kibana_url}
- GET /api/streams/{name}/significant_events
- GET /s/{space_id}/api/streams/{name}/significant_events
Refer to Spaces for more information.
Read the significant events
[Required authorization] Route required privileges: read_stream.
Path Parameters
-
namestring · max: 255required -
The name of the stream.
Query Parameters
-
fromstring · max: 255required Start of the time range as an ISO 8601 date string.
-
tostring · max: 255required End of the time range as an ISO 8601 date string.
-
bucketSizestring · max: 255 · pattern: ^(\d+)([smhd])$required The bucket size for aggregating events (e.g. "1m", "1h").
-
querystring · max: 10000 Query string to filter significant events on metadata fields
-
searchMode Search mode: keyword (BM25), semantic (vector), or hybrid (RRF). When omitted, defaults to hybrid with a silent keyword fallback on failure. When set explicitly, failures propagate as errors.
-
Values:
keywordsemantichybrid
Request
Any of:
Response
200
application/json
Significant events for the stream.